Name:           piccolo2d
Version:        1.3
Release:        8
Summary:        Structured 2D graphics toolkit

Group:          Development/Java
License:        BSD
URL:            http://code.google.com/p/piccolo2d/
# Generated by sh fetch-piccolo2d.sh
Source0:        http://piccolo2d.googlecode.com/files/%{name}-%{version}-src.tar.gz
Source2:        %{name}-settings.xml
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin 
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-doxia-sitetools
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  eclipse-swt

Requires: eclipse-swt

BuildArch: noarch

%description
A revolutionary way to create robust, full-featured graphical
applications in Java with striking visual effects such
as zooming, animation and multiple representations.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n piccolo2d-%{version}-src
sed -i -e "s|\[3\.3\.0-v3346\,)|3\.3\.0-v3346|g" swt/pom.xml
mkdir -p .m2/repository/org.eclipse.swt.gtk.linux/
ln -s %{_libdir}/java/swt.jar .m2/repository/org.eclipse.swt.gtk.linux/x86.jar  
ln -s %{_libdir}/java/swt.jar .m2/repository/org.eclipse.swt.gtk.linux/x86_64.jar 

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

cp %{SOURCE2} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -s settings.xml \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.skip=true \
        install javadoc:aggregate

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -m 644 core/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-core.jar
install -m 644 extras/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-extras.jar
install -m 644 swt/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-swt.jar

%add_to_maven_depmap org.piccolo2d piccolo2d-parent %{version} JPP/%{name} piccolo2d-parent
%add_to_maven_depmap org.piccolo2d piccolo2d-core %{version} JPP/%{name} piccolo2d-core
%add_to_maven_depmap org.piccolo2d piccolo2d-extras %{version} JPP/%{name} piccolo2d-extras
%add_to_maven_depmap org.piccolo2d piccolo2d-swt %{version} JPP/%{name} piccolo2d-swt

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 parent/pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
install -pm 644 core/pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{name}-core.pom
install -pm 644 extras/pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{name}-extras.pom
install -pm 644 swt/pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{name}-swt.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license-piccolo.txt 

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%doc license-piccolo.txt 

